Object = require "classic"

require "vector"
require "light"
require "normal"
require "shader"


local path = "Idle.png"
local playerLight = Light()

love.graphics.setDefaultFilter("nearest", "nearest")

local image = love.graphics.newImage(path)
local normalMap = newNormalMap(path)
shader:send("normalMap", normalMap)


--love.graphics.setBackgroundColor(1,1,1)


function love.update(dt)
  playerLight:update(dt)
  
  
  local lights = {
    {playerLight.x, playerLight.y, playerLight.z}, 
    {playerLight.x+100, playerLight.y+100, playerLight.z}}
  
  
  local lightIntensities = {
    1, 
    0.1}
  
  
  local lightColours = {
    playerLight.colour,
    {0,1,1}
    }
  
  
  
  shader:send("lights", unpack(lights))
  --WARNING - a light of 0 intensity will disable all following lights 
  shader:send("lightIntensities", unpack(lightIntensities))
  shader:send("lightColours", unpack(lightColours))
  
end 


function love.draw()
  
  love.graphics.setColor(1,1,1)
  
  love.graphics.print(playerLight.z, 0, 0)
  
  
  
  
  
  love.graphics.setShader(shader)
  love.graphics.draw(image, -100, 150, 0, 8, 8)
  love.graphics.setShader()

 -- playerLight:draw()
end

function love.wheelmoved(x, y)
  
  playerLight.z = playerLight.z + y

end
